<div class="pt-5 white-box">
	<h3>
		Reports
	</h3>
	<hr>
	<div class="row margin-top-20px">
		<%= form_tag '/admin/reports', method: 'get' do %>
			<div class="col-md-8">
				<label for="">Select Date</label>
				<input class="special_input form-control" id="date" name="date" type="date" />
			</div>
			<div class="col-md-2" style="margin-top: 25px;">
				<%= submit_tag 'Get Report', :class => 'btn btn-primary' %>
			</div>
		<% end %>
	</div>
	
	<% if params[:date].present? %>
		<% if @bookings.present? %>
			<div class="row margin-top-20px">
				<div class="row margin-top-20px">
					<div class="col-md-12">
						<table class="table table-bordered">
						  <thead>
							<tr>
							  <th scope="col">#</th>
							  <th scope="col">Movie Name</th>
							  <th scope="col">Booking Date</th>
							  <th scope="col">Show Timings</th>
							  <th scope="col">Seats Booked</th>
							</tr>
						  </thead>
						  <tbody>
							<% @bookings.each_with_index do |booking, index| %>
								<tr>
								  <th scope="row"><%= index + 1%></th>
								  <td><%= booking.movie.name.titleize %></td>
								  <td><%= booking.booking_for_date %></td>
								  <td><%= booking.show.time_slot.start_time %></td>
								  <td>
									  <% objects = booking.booked_seats %>
							  <% objects.each_with_index do |booked_seat, index| %>  
								<% seat = booked_seat.seat %>
								<% row = seat.row %>
								<% screen = row.screen %>
								<% str = '' %>
								<% str = str +  "#{screen.name}  | #{row.row_no} | #{seat.seat_no}" %> 
								<% if index > 0 and index != (objects.count + 1) %>
								  <% str = str + ', ' %>
								<% end %>
								<%= str %>
							  <% end %>
								  </td>
								</tr>
							<% end %>
						  </tbody>
						</table>
					</div>
				</div>
			</div>
		<% else %>
			No Bookings Are Present For This Date	
		<% end %>
	<% end %>
</div>